class Instruction {
    constructor() {
        this._start = 0
        this._end = 0
    }

    set start(inStart) {
        this._start = inStart
    }

    set end(inEnd) {
        this._end = inEnd;
    }

    static convertID2Args(inKeywords) {
        let i = 2
        let argument = inKeywords[1]
        while(i < inKeywords.length) {
            argument += " " + inKeywords[i]
            i++;
        }
        return argument
    }
}

const TYPE = {
    REF: 'REF',
    IREF: 'IREF',
    INCLUDE: 'INCLUDE',
    END: 'END',
    UNKNOWN: 'UNKNOWN'
}

exports.Instruction = Instruction
exports.TYPE = TYPE
